#include <iostream>
#include <cmath>
using namespace std;
int main() {
    long long h,w;
    cin >> h >> w;
    long t=h*w;
    long p;
    //((((w+1)*w)/2)+(w-1))
    while (h>1 || w>1) {
        p=min(h,w);
        t=((((p+1)*p)/2)+(p-1))+t+(h*w)-p;
        if (h>=w) {
            h--;
        } else {
            w--;
        }
    }
    cout << t;
}